Package com.macrofocus.high_d.table

# Class JavaFXTable<Row,Column,Value>

java.lang.Object
com.macrofocus.high_d.table.AbstractTable<javafx.scene.Node,javafx.scene.paint.Color,Format,Row,Column,Value>
com.macrofocus.high_d.table.JavaFXTable<Row,Column,Value>

All Implemented Interfaces:
  `com.macrofocus.crossplatform.CPComponent<javafx.scene.Node>`, `Table<javafx.scene.Node,javafx.scene.paint.Color,Format,Row,Column,Value>`

public class JavaFXTable<Row,Column,Value> extends AbstractTable<javafx.scene.Node,javafx.scene.paint.Color,Format,Row,Column,Value>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface com.macrofocus.high_d.table.Table

  `Table.CellRenderer<Component,R,C,V>, Table.ColumnResizePolicy, Table.DetailsFactory<Component,R>, Table.InteractionMode, Table.PropertyType, Table.Style`

- ## Field Summary

  ### Fields inherited from class com.macrofocus.high_d.table.AbstractTable

  `properties`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `JavaFXTable()`
  `JavaFXTable(com.macrofocus.molap.dataframe.DataFrame<Row,Column,Value> filteredDataFrame, com.macrofocus.molap.dataframe.DataFrame<Row,Column,Value> completeDataFrame, com.macrofocus.visual.Visual<javafx.scene.paint.Color,Row,Column> visual, com.macrofocus.high_d.axis.group.AxisGroupModel<Row,Column> axisGroupModel)`
  `JavaFXTable(com.macrofocus.molap.dataframe.DataFrame<Row,Column,Value> dataFrame, com.macrofocus.visual.Visual<javafx.scene.paint.Color,Row,Column> visual)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `adjustColumns(boolean columnHeaderIncluded, boolean dynamicAdjustment)`
  `javafx.scene.Node`
  `getNativeComponent()`
  `com.macrofocus.molap.dataframe.DataFrame<Row,Column,Value>`
  `getSortedDataFrame()`
  `void`
  `reset()`
  `void`
  `setCellRenderer(Column column, Table.CellRenderer<javafx.scene.Node,Row,Column,Value> renderer)`
  `void`
  `setColumnResizePolicy(Table.ColumnResizePolicy policy)`
  `void`
  `setColumnVisible(Column column, boolean visible)`
  `void`
  `setDetailsFactory(boolean alwaysVisible, Table.DetailsFactory<javafx.scene.Node,Row> factory)`
  `void`
  `setFormat(Column column, com.macrofocus.format.CPFormat format)`
  `void`
  `setFrozenColumnCount(int columnCount)`
  `void`
  `setHidable(Column column, boolean hidable)`
  `void`
  `setLabel(Column column, String label)`
  `void`
  `setModel(ShowFilteredDataFrame<Row,Column,Value> dataFrame, com.macrofocus.visual.Visual<javafx.scene.paint.Color,Row,Column> visual, com.macrofocus.high_d.axis.group.AxisGroupModel<Row,Column> axisGroupModel)`
  `void`
  `setShowFiltered(MutableProperty<Boolean> showFiltered)`
  `void`
  `setSortKey(Column column, com.macrofocus.molap.dataframe.SortOrder order)`
  `void`
  `setStyleClass(String... styleClasses)`

  ### Methods inherited from class com.macrofocus.high_d.table.AbstractTable

  `getColorTheme, getInteractionMode, getLocksmith, getShowDistribution, getShowFiltered, getStyle, isSelectionMode, setColorTheme, setLocksmith, setSelectionMode`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### JavaFXTable

    public JavaFXTable()

  - ### JavaFXTable

    public JavaFXTable(com.macrofocus.molap.dataframe.DataFrame<Row,Column,Value> dataFrame, com.macrofocus.visual.Visual<javafx.scene.paint.Color,Row,Column> visual)

  - ### JavaFXTable

    public JavaFXTable(com.macrofocus.molap.dataframe.DataFrame<Row,Column,Value> filteredDataFrame, com.macrofocus.molap.dataframe.DataFrame<Row,Column,Value> completeDataFrame, com.macrofocus.visual.Visual<javafx.scene.paint.Color,Row,Column> visual, com.macrofocus.high_d.axis.group.AxisGroupModel<Row,Column> axisGroupModel)

- ## Method Details

  - ### getSortedDataFrame

    public com.macrofocus.molap.dataframe.DataFrame<Row,Column,Value> getSortedDataFrame()

  - ### setStyleClass

    public void setStyleClass(String... styleClasses)

  - ### setModel

    public void setModel(ShowFilteredDataFrame<Row,Column,Value> dataFrame, com.macrofocus.visual.Visual<javafx.scene.paint.Color,Row,Column> visual, com.macrofocus.high_d.axis.group.AxisGroupModel<Row,Column> axisGroupModel)

  - ### adjustColumns

    public void adjustColumns(boolean columnHeaderIncluded, boolean dynamicAdjustment)

  - ### setColumnVisible

    public void setColumnVisible(Column column, boolean visible)

  - ### setHidable

    public void setHidable(Column column, boolean hidable)

  - ### setSortKey

    public void setSortKey(Column column, com.macrofocus.molap.dataframe.SortOrder order)

  - ### setFormat

    public void setFormat(Column column, com.macrofocus.format.CPFormat format)

  - ### setLabel

    public void setLabel(Column column, String label)

  - ### setFrozenColumnCount

    public void setFrozenColumnCount(int columnCount)

  - ### reset

    public void reset()

  - ### setShowFiltered

    public void setShowFiltered(MutableProperty<Boolean> showFiltered)

  - ### setColumnResizePolicy

    public void setColumnResizePolicy(Table.ColumnResizePolicy policy)

  - ### setCellRenderer

    public void setCellRenderer(Column column, Table.CellRenderer<javafx.scene.Node,Row,Column,Value> renderer)

  - ### setDetailsFactory

    public void setDetailsFactory(boolean alwaysVisible, Table.DetailsFactory<javafx.scene.Node,Row> factory)

  - ### getNativeComponent

    public javafx.scene.Node getNativeComponent()